Subject: Re: [PATCH net-next 0/5][pull request] ice: Support 5 layer Tx scheduler topology

From: Jakub Kicinski <[email-masked]>
Date: Wed, 24 May 2023 09:26:07 -0700

On Wed, 24 May 2023 15:25:22 +0200 Wilczynski, Michal wrote:
> >> For performance reasons there is a need to have support for selectable
> >> Tx scheduler topology. Currently firmware supports only the default
> >> 9-layer and 5-layer topology. This patch series enables switch from
> >> default to 5-layer topology, if user decides to opt-in.  
> > Why exactly the user cares which FW implementation you use. From what I
> > see, there is a FW but causing unequal queue distribution in some cases,
> > you fox this. Why would the user want to alter the behaviour between
> > fixed and unfixed?  
> 
> I wouldn't say it's a FW bug. Both approaches - 9-layer and 5-layer
> have their own pros and cons, and in some cases 5-layer is
> preferable, especially if the user desires the performance to be
> better. But at the same time the user gives up the layers in a tree
> that are actually useful in some cases (especially if using DCB, but
> also recently added devlink-rate implementation).

I didn't notice mentions of DCB and devlink-rate in the series.
The whole thing is really poorly explained.